Insert into db_procauditlog (procname,startts,paramstxt) values ('ASDTLUPD',current timestamp,'Start')
!
DECLARE AS_DTL_CUR CURSOR FOR 
SELECT
	bd.ACTIVITYID
	,bd.VUID
	,bd.INITBUSINESSID
	,bd.INITASMESSAGEID
	,bd.FRBUSINESSID
	,bd.TOBUSINESSID
	,bd.ASMESSAGEID
	,bd.DISPTEXT
	,bd.MDNURI
	,bd.CREATEDATE
	,bd.PACKAGENAME
	,bd.PACKAGEVER
	,bd.CORBUSID
	,h.RCVDOCTS
	FROM bkp_as_dtl bd
	INNER JOIN lg_as_hdr h ON h.corbusid = bd.corbusid and h.initasmessageid = bd.initasmessageid
!
LOAD FROM AS_DTL_CUR OF CURSOR 
INSERT INTO lg_as_dtl
	(
	ACTIVITYID
	,VUID
	,INITBUSINESSID
	,INITASMESSAGEID
	,FRBUSINESSID
	,TOBUSINESSID
	,ASMESSAGEID
	,DISPTEXT
	,MDNURI
	,CREATEDATE
	,PACKAGENAME
	,PACKAGEVER
	,CORBUSID
	,RCVDOCTS
	)
NONRECOVERABLE
CPU_PARALLELISM 4
!
COMMIT
!
SET INTEGRITY for lg_as_dtl IMMEDIATE CHECKED
!
CREATE PROCEDURE DROP_TEMP_TABLES
(
)
BEGIN
	DECLARE v_lg_as_dtl_old INTEGER DEFAULT 0;
	DECLARE v_lg_as_dtl_new INTEGER DEFAULT 0;
	DECLARE v_ReturnCd INTEGER;
	DECLARE v_ExceptionFlg INTEGER;
	DECLARE v_SQLText1 VARCHAR(255);
	DECLARE v_SQLText2 VARCHAR(255);
	
	
	
	DECLARE CONTINUE HANDLER FOR NOT FOUND
		SET v_ReturnCd = 3;
	
	DECLARE EXIT HANDLER FOR SQLEXCEPTION
	        BEGIN
	            SET v_ReturnCd = 1;
	            SET v_ExceptionFlg = 1;
	            REsignal;
	END;



        BEGIN
        
        DECLARE CONTINUE HANDLER FOR NOT FOUND
		SET v_ReturnCd = 3;
		
	SELECT count(1)
	INTO	v_lg_as_dtl_old
	FROM	bkp_as_dtl;
	
	END;
	
	BEGIN
	
	DECLARE CONTINUE HANDLER FOR NOT FOUND
		SET v_ReturnCd = 3;
	
	SELECT count(1)
	INTO	v_lg_as_dtl_new
	FROM	LG_AS_DTL;
	
	END;
	
	
	IF v_lg_as_dtl_old <= v_lg_as_dtl_new THEN
		SET v_SQLText1 = 'drop table bkp_as_dtl';
		EXECUTE IMMEDIATE v_SQLText1;
	END IF;
	
END
!

call DROP_TEMP_TABLES
!

DROP PROCEDURE DROP_TEMP_TABLES
!
